%define name	qjackctl
%define version 0.2.20.10
%define cvs	20060518
%define release %mkrel 0.%cvs.2

Name: 	 	%{name}
Summary: 	A QT gui for the jack audio daemon
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/qjackctl/%{name}-%{version}.tar.bz2
Source1:	jackwrapper.sh
URL:		http://sourceforge.net/projects/qjackctl/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel jackit-devel ImageMagick
Requires:	jackit >= 0.90.0
Provides:	jackwrapper

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application to
control the JACK server daemon.

%prep
%setup -q -n %name
autoreconf

%build
perl -pi -e 's/\$QTDIR\/lib/\$QTDIR\/%{_lib}/' configure
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cat %SOURCE1 > $RPM_BUILD_ROOT/%_bindir/jackwrapper
chmod 755 $RPM_BUILD_ROOT/%_bindir/jackwrapper

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="QJackCTL" longtitle="Controls the JACK Audio daemon" section="Multimedia/Sound"\
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=QJackCTL
Comment=Controls the JACK Audio daemon
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
Encoding=UTF-8
EOF


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%name
%{_bindir}/jackwrapper
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Sun Sep 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.2.20.10-0.20060518.2mdv2007.0
- xdg menu

* Thu May 18 2006 Austin Acton <austin@mandriva.org> 0.2.20.10-0.20060518.1mdk
- go cvs for freebob support
- mkrel

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0.2.20-1mdk
- 0.2.20

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.2.19a-1mdk
- New release 0.2.19a

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.2.19-1mdk
- 0.2.19

* Fri Sep 23 2005 Couriousous <couriousous@mandriva.org> 0.2.18-2mdk
- Fix x86_64 build

* Tue Jul 19 2005 Austin Acton <austin@mandriva.org> 0.2.18-1mdk
- New release 0.2.18

* Fri Jun 17 2005 Lenny Cartier <lenny@mandriva.com> 0.2.17-1mdk
- 0.2.17

* Tue Jun 14 2005 Austin Acton <austin@mandriva.org> 0.2.16-1mdk
- New release 0.2.16

* Wed Feb 09 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.15a-1mdk
- 0.2.15a

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.2.15-1mdk
- 0.2.15

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.2.14-1mdk
- 0.2.14

* Sun Nov 21 2004 Austin Acton <austin@mandrake.org> 0.2.13-1mdk
- 0.2.13

* Tue Oct 12 2004 Austin Acton <austin@mandrake.org> 0.2.12a-1mdk
- 0.2.12a

* Fri Oct 8 2004 Austin Acton <austin@mandrake.org> 0.2.12-1mdk
- 0.2.12

* Fri Sep 10 2004 Austin Acton <austin@mandrake.org> 0.2.11-1mdk
- 0.2.11

* Mon Jul 19 2004 Austin Acton <austin@mandrake.org> 0.2.9-2mdk
- add jackwrapper

* Sun Jul 4 2004 Austin Acton <austin@mandrakesoft.com> 0.2.9-1mdk
- 0.2.9

* Sun Apr 4 2004 Austin Acton <austin@mandrake.org> 0.2.7-1mdk
- 0.2.7

* Mon Mar 1 2004 Austin Acton <austin@mandrake.org> 0.2.6-1mdk
- 0.2.6

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.2.5-1mdk
- 0.2.5

* Mon Feb 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.4-1mdk
- 0.2.4

* Mon Jan 19 2004 Austin Acton <austin@mandrake.org> 0.2.3a-1mdk
- 0.2.3a

* Fri Jan 16 2004 Austin Acton <austin@mandrake.org> 0.2.2-1mdk
- 0.2.2

* Mon Dec 29 2003 Austin Acton <austin@linux.ca> 0.2.0-1mdk
- 0.2.0

* Wed Nov 26 2003 Austin Acton <austin@linux.ca> 0.1.3-1mdk
- 0.1.3

* Tue Nov 18 2003 Austin Acton <austin@linux.ca> 0.1.2-1mdk
- 0.1.2

* Wed Nov 5 2003 Austin Acton <aacton@yorku.ca> 0.1.1a-1mdk
- 0.1.1a
- enable jack transport control

* Sun Oct 26 2003 Austin Acton <aacton@yorku.ca> 0.1.0-1mdk
- 0.1.0
- use ImageMagick for icons

* Mon Oct 6 2003 Austin Acton <aacton@yorku.ca> 0.0.9a-1mdk
- 0.0.9a

* Mon Sep 15 2003 Austin Acton <aacton@yorku.ca> 0.0.7-1mdk
- 0.0.7

* Sat Sep 13 2003 Austin Acton <aacton@yorku.ca> 0.0.6-1mdk
- 0.0.6

* Fri Sep 5 2003 Austin Acton <aacton@yorku.ca> 0.0.5-1mdk
- 0.0.5
- delib buildrequires

* Sat Aug 30 2003 Austin Acton <aacton@yorku.ca> 0.0.4-1mdk
- 0.0.4

* Fri Aug 22 2003 Austin Acton <aacton@yorku.ca> 0.0.3-1mdk
- 0.0.3

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.0.2-1mdk
- initial package
